org.apache.ignite.internal.processors.odbc.jdbc

## Enum JdbcThinFeature

- java.lang.Object
- - java.lang.Enum<JdbcThinFeature>
  - - org.apache.ignite.internal.processors.odbc.jdbc.JdbcThinFeature

All Implemented Interfaces:
  Serializable, Comparable<JdbcThinFeature>, ThinProtocolFeature

    public enum JdbcThinFeature
    extends Enum<JdbcThinFeature>
    implements ThinProtocolFeature

Defines supported features for JDBC thin client.

### Enum Constant Summary

Enum Constants
Enum Constant and Description
`CUSTOM_OBJECT` Whether to allow sending custom object through Thin JDBC protocol.
`RESERVED`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`static EnumSet<JdbcThinFeature>` `allFeaturesAsEnumSet()`
`static EnumSet<JdbcThinFeature>` `enumSet(byte[] bytes)`
`int` `featureId()`
`static JdbcThinFeature` `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static JdbcThinFeature[]` `values()` Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface org.apache.ignite.internal.ThinProtocolFeature

`enumSet, featuresAsBytes, name`

### Enum Constant Detail

#### RESERVED

    public static final JdbcThinFeature RESERVED

#### CUSTOM_OBJECT

    public static final JdbcThinFeature CUSTOM_OBJECT

Whether to allow sending custom object through Thin JDBC protocol.

### Method Detail

#### values

    public static JdbcThinFeature[] values()

Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

    for (JdbcThinFeature c : JdbcThinFeature.values())
        System.out.println(c);

Returns:
  an array containing the constants of this enum type, in the order they are declared

#### valueOf

    public static JdbcThinFeature valueOf(String name)

Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

#### featureId

    public int featureId()

Specified by:
  `featureId` in interface `ThinProtocolFeature`
Returns:
  Feature ID.

#### enumSet

    public static EnumSet<JdbcThinFeature> enumSet(byte[] bytes)

Parameters:
  `bytes` - Feature byte array.
Returns:
  Set of supported features.

#### allFeaturesAsEnumSet

    public static EnumSet<JdbcThinFeature> allFeaturesAsEnumSet()

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.9.1
Release Date | : December 9 2020